ByteChef LogoByteChef
Backend (API Key)Request Trigger

Execute a workflow

Executes a single workflow of the connected user identified by external user id through its Request trigger and returns the result the workflow produces.

POST
/{externalUserId}/workflows/{workflowUuid}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

externalUserId*string

The external user id.

workflowUuid*string

The workflow uuid.

Header Parameters

X-Environment?string

The environment.

Value in

  • "DEVELOPMENT"
  • "STAGING"
  • "PRODUCTION"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/string/workflows/string"
{}

How is this guide?